#include "topo_check_common.h"

namespace maps {
namespace wiki {
namespace validator {
namespace checks {
using categories::COND_LANE;

VALIDATOR_SIMPLE_CHECK( cond_lane_topo, COND_LANE, RD_EL, RD_JC )
{
    context->objects<COND_LANE>().visit(
        [&](const ConditionLane* conditionLane) {
        conditionTopoCheck<COND_LANE>(context, conditionLane, "cond_lane");
    });
}

} // namespace checks
} // namespace validator
} // namespace wiki
} // namespace maps
